1
0
mirror of https://git.zap.org.au/git/trader.git synced 2024-09-01 17:14:15 -04:00

The file m4/gnulib-comp.m4 is required in the with-autogenerated branch

Without this file, ./configure fails and the ./build-aux/bootstrap script
needs to be run again.  This latter script has been rerun with the same
inputs as commit 2dc2bfb9bf.
This commit is contained in:
John Zaitseff 2017-08-24 15:52:46 +10:00
parent 2dc2bfb9bf
commit 409c9bbf09
3 changed files with 747 additions and 2 deletions

View File

@ -1522,8 +1522,8 @@ maintainer-clean-generic:
@echo "it deletes files that may require special tools to rebuild."
-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
@gl_GNULIB_ENABLED_localcharset_FALSE@install-exec-local:
@gl_GNULIB_ENABLED_localcharset_FALSE@uninstall-local:
@gl_GNULIB_ENABLED_localcharset_FALSE@install-exec-local:
clean: clean-recursive
clean-am: clean-generic clean-noinstLIBRARIES clean-noinstLTLIBRARIES \

1
m4/.gitignore vendored
View File

@ -1,2 +1 @@
/gnulib-comp.m4
/gnulib-tool.m4

746
m4/gnulib-comp.m4 Normal file
View File

@ -0,0 +1,746 @@
# DO NOT EDIT! GENERATED AUTOMATICALLY!
# Copyright (C) 2002-2017 Free Software Foundation, Inc.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file. If not, see <http://www.gnu.org/licenses/>.
#
# As a special exception to the GNU General Public License,
# this file may be distributed as part of a program that
# contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the compiled summary of the specification in
# gnulib-cache.m4. It lists the computed macro invocations that need
# to be invoked from configure.ac.
# In projects that use version control, this file can be treated like
# other built files.
# This macro should be invoked from ./configure.ac, in the section
# "Checks for programs", right after AC_PROG_CC, and certainly before
# any checks for libraries, header files, types and library functions.
AC_DEFUN([gl_EARLY],
[
m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
m4_pattern_allow([^gl_ES$])dnl a valid locale name
m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
# Pre-early section.
AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
AC_REQUIRE([gl_PROG_AR_RANLIB])
AC_REQUIRE([AM_PROG_CC_C_O])
# Code from module absolute-header:
# Code from module assert:
# Code from module btowc:
# Code from module builtin-expect:
# Code from module c-ctype:
# Code from module c-strcase:
# Code from module config-h:
# Code from module configmake:
# Code from module crc:
# Code from module extensions:
# Code from module extern-inline:
# Code from module getopt-gnu:
# Code from module getopt-posix:
# Code from module gettext-h:
# Code from module gettimeofday:
# Code from module gperf:
# Code from module hard-locale:
# Code from module havelib:
# Code from module iconv:
# Code from module iconv-h:
# Code from module iconv_open:
# Code from module include_next:
# Code from module inline:
# Code from module limits-h:
# Code from module localcharset:
# Code from module locale:
# Code from module localtime-buffer:
# Code from module mbrtowc:
# Code from module mbsinit:
# Code from module mbsrtowcs:
# Code from module mbtowc:
# Code from module memchr:
# Code from module multiarch:
# Code from module nocrash:
# Code from module snippet/_Noreturn:
# Code from module snippet/arg-nonnull:
# Code from module snippet/c++defs:
# Code from module snippet/unused-parameter:
# Code from module snippet/warn-on-use:
# Code from module ssize_t:
# Code from module stdbool:
# Code from module stddef:
# Code from module stdint:
# Code from module stdio:
# Code from module stdlib:
# Code from module streq:
# Code from module striconv:
# Code from module string:
# Code from module strnlen1:
# Code from module strstr:
# Code from module strstr-simple:
# Code from module sys_stat:
# Code from module sys_time:
# Code from module sys_types:
# Code from module time:
# Code from module unistd:
# Code from module unistr/base:
# Code from module unistr/u8-mbtoucr:
# Code from module unistr/u8-uctomb:
# Code from module unitypes:
# Code from module verify:
# Code from module wchar:
# Code from module wcrtomb:
# Code from module wcsdup:
# Code from module wctob:
# Code from module wctomb:
# Code from module wctype-h:
# Code from module wmemcpy:
])
# This macro should be invoked from ./configure.ac, in the section
# "Check for header files, types and library functions".
AC_DEFUN([gl_INIT],
[
AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
gl_cond_libtool=false
gl_libdeps=
gl_ltlibdeps=
gl_m4_base='m4'
m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
m4_pushdef([gl_LIBSOURCES_LIST], [])
m4_pushdef([gl_LIBSOURCES_DIR], [])
gl_COMMON
gl_source_base='lib'
gl_ASSERT
gl_FUNC_BTOWC
if test $HAVE_BTOWC = 0 || test $REPLACE_BTOWC = 1; then
AC_LIBOBJ([btowc])
gl_PREREQ_BTOWC
fi
gl_WCHAR_MODULE_INDICATOR([btowc])
gl_CONFIG_H
AC_REQUIRE([gl_EXTERN_INLINE])
gl_FUNC_GETOPT_GNU
dnl Because of the way gl_FUNC_GETOPT_GNU is implemented (the gl_getopt_required
dnl mechanism), there is no need to do any AC_LIBOBJ or AC_SUBST here; they are
dnl done in the getopt-posix module.
gl_FUNC_GETOPT_POSIX
if test $REPLACE_GETOPT = 1; then
AC_LIBOBJ([getopt])
AC_LIBOBJ([getopt1])
dnl Arrange for unistd.h to include getopt.h.
GNULIB_GL_UNISTD_H_GETOPT=1
fi
AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
AC_SUBST([LIBINTL])
AC_SUBST([LTLIBINTL])
gl_FUNC_GETTIMEOFDAY
if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
AC_LIBOBJ([gettimeofday])
gl_PREREQ_GETTIMEOFDAY
fi
gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
AM_ICONV
m4_ifdef([gl_ICONV_MODULE_INDICATOR],
[gl_ICONV_MODULE_INDICATOR([iconv])])
gl_ICONV_H
gl_FUNC_ICONV_OPEN
if test $REPLACE_ICONV_OPEN = 1; then
AC_LIBOBJ([iconv_open])
fi
if test $REPLACE_ICONV = 1; then
AC_LIBOBJ([iconv])
AC_LIBOBJ([iconv_close])
fi
gl_INLINE
gl_LIMITS_H
gl_LOCALE_H
gl_FUNC_MBRTOWC
if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
AC_LIBOBJ([mbrtowc])
gl_PREREQ_MBRTOWC
fi
gl_WCHAR_MODULE_INDICATOR([mbrtowc])
gl_FUNC_MBSRTOWCS
if test $HAVE_MBSRTOWCS = 0 || test $REPLACE_MBSRTOWCS = 1; then
AC_LIBOBJ([mbsrtowcs])
AC_LIBOBJ([mbsrtowcs-state])
gl_PREREQ_MBSRTOWCS
fi
gl_WCHAR_MODULE_INDICATOR([mbsrtowcs])
gl_MULTIARCH
gt_TYPE_SSIZE_T
AM_STDBOOL_H
gl_STDDEF_H
gl_STDINT_H
gl_STDIO_H
if test $gl_cond_libtool = false; then
gl_ltlibdeps="$gl_ltlibdeps $LTLIBICONV"
gl_libdeps="$gl_libdeps $LIBICONV"
fi
gl_HEADER_STRING_H
gl_FUNC_STRSTR
if test $REPLACE_STRSTR = 1; then
AC_LIBOBJ([strstr])
fi
gl_FUNC_STRSTR_SIMPLE
if test $REPLACE_STRSTR = 1; then
AC_LIBOBJ([strstr])
fi
gl_STRING_MODULE_INDICATOR([strstr])
gl_HEADER_SYS_STAT_H
AC_PROG_MKDIR_P
gl_HEADER_SYS_TIME_H
AC_PROG_MKDIR_P
gl_SYS_TYPES_H
AC_PROG_MKDIR_P
gl_HEADER_TIME_H
gl_UNISTD_H
gl_LIBUNISTRING_LIBHEADER([0.9.4], [unistr.h])
gl_MODULE_INDICATOR([unistr/u8-mbtoucr])
gl_LIBUNISTRING_MODULE([0.9], [unistr/u8-mbtoucr])
gl_MODULE_INDICATOR([unistr/u8-uctomb])
gl_LIBUNISTRING_MODULE([0.9], [unistr/u8-uctomb])
gl_LIBUNISTRING_LIBHEADER([0.9.4], [unitypes.h])
gl_WCHAR_H
gl_FUNC_WCRTOMB
if test $HAVE_WCRTOMB = 0 || test $REPLACE_WCRTOMB = 1; then
AC_LIBOBJ([wcrtomb])
gl_PREREQ_WCRTOMB
fi
gl_WCHAR_MODULE_INDICATOR([wcrtomb])
gl_FUNC_WCSDUP
if test $HAVE_WCSDUP = 0; then
AC_LIBOBJ([wcsdup])
fi
gl_WCHAR_MODULE_INDICATOR([wcsdup])
gl_FUNC_WCTOB
if test $HAVE_WCTOB = 0 || test $REPLACE_WCTOB = 1; then
AC_LIBOBJ([wctob])
gl_PREREQ_WCTOB
fi
gl_WCHAR_MODULE_INDICATOR([wctob])
gl_WCTYPE_H
gl_gnulib_enabled_37f71b604aa9c54446783d80f42fe547=false
gl_gnulib_enabled_configmake=false
gl_gnulib_enabled_30838f5439487421042f2225bed3af76=false
gl_gnulib_enabled_localcharset=false
gl_gnulib_enabled_2049e887c7e5308faad27b3f894bb8c9=false
gl_gnulib_enabled_mbsinit=false
gl_gnulib_enabled_mbtowc=false
gl_gnulib_enabled_memchr=false
gl_gnulib_enabled_b3ae4a413a1340415f34a52d1dafb147=false
gl_gnulib_enabled_stdlib=false
gl_gnulib_enabled_streq=false
gl_gnulib_enabled_strnlen1=false
gl_gnulib_enabled_verify=false
gl_gnulib_enabled_wctomb=false
gl_gnulib_enabled_wmemcpy=false
func_gl_gnulib_m4code_37f71b604aa9c54446783d80f42fe547 ()
{
if ! $gl_gnulib_enabled_37f71b604aa9c54446783d80f42fe547; then
gl___BUILTIN_EXPECT
gl_gnulib_enabled_37f71b604aa9c54446783d80f42fe547=true
fi
}
func_gl_gnulib_m4code_configmake ()
{
if ! $gl_gnulib_enabled_configmake; then
gl_CONFIGMAKE_PREP
gl_gnulib_enabled_configmake=true
fi
}
func_gl_gnulib_m4code_30838f5439487421042f2225bed3af76 ()
{
if ! $gl_gnulib_enabled_30838f5439487421042f2225bed3af76; then
gl_HARD_LOCALE
gl_gnulib_enabled_30838f5439487421042f2225bed3af76=true
fi
}
func_gl_gnulib_m4code_localcharset ()
{
if ! $gl_gnulib_enabled_localcharset; then
gl_LOCALCHARSET
LOCALCHARSET_TESTS_ENVIRONMENT="CHARSETALIASDIR=\"\$(abs_top_builddir)/$gl_source_base\""
AC_SUBST([LOCALCHARSET_TESTS_ENVIRONMENT])
gl_gnulib_enabled_localcharset=true
func_gl_gnulib_m4code_configmake
fi
}
func_gl_gnulib_m4code_2049e887c7e5308faad27b3f894bb8c9 ()
{
if ! $gl_gnulib_enabled_2049e887c7e5308faad27b3f894bb8c9; then
AC_REQUIRE([gl_LOCALTIME_BUFFER_DEFAULTS])
AC_LIBOBJ([localtime-buffer])
gl_gnulib_enabled_2049e887c7e5308faad27b3f894bb8c9=true
fi
}
func_gl_gnulib_m4code_mbsinit ()
{
if ! $gl_gnulib_enabled_mbsinit; then
gl_FUNC_MBSINIT
if test $HAVE_MBSINIT = 0 || test $REPLACE_MBSINIT = 1; then
AC_LIBOBJ([mbsinit])
gl_PREREQ_MBSINIT
fi
gl_WCHAR_MODULE_INDICATOR([mbsinit])
gl_gnulib_enabled_mbsinit=true
if test $HAVE_MBSINIT = 0 || test $REPLACE_MBSINIT = 1; then
func_gl_gnulib_m4code_verify
fi
fi
}
func_gl_gnulib_m4code_mbtowc ()
{
if ! $gl_gnulib_enabled_mbtowc; then
gl_FUNC_MBTOWC
if test $REPLACE_MBTOWC = 1; then
AC_LIBOBJ([mbtowc])
gl_PREREQ_MBTOWC
fi
gl_STDLIB_MODULE_INDICATOR([mbtowc])
gl_gnulib_enabled_mbtowc=true
func_gl_gnulib_m4code_stdlib
fi
}
func_gl_gnulib_m4code_memchr ()
{
if ! $gl_gnulib_enabled_memchr; then
gl_FUNC_MEMCHR
if test $HAVE_MEMCHR = 0 || test $REPLACE_MEMCHR = 1; then
AC_LIBOBJ([memchr])
gl_PREREQ_MEMCHR
fi
gl_STRING_MODULE_INDICATOR([memchr])
gl_gnulib_enabled_memchr=true
fi
}
func_gl_gnulib_m4code_b3ae4a413a1340415f34a52d1dafb147 ()
{
if ! $gl_gnulib_enabled_b3ae4a413a1340415f34a52d1dafb147; then
gl_gnulib_enabled_b3ae4a413a1340415f34a52d1dafb147=true
fi
}
func_gl_gnulib_m4code_stdlib ()
{
if ! $gl_gnulib_enabled_stdlib; then
gl_STDLIB_H
gl_gnulib_enabled_stdlib=true
func_gl_gnulib_m4code_b3ae4a413a1340415f34a52d1dafb147
fi
}
func_gl_gnulib_m4code_streq ()
{
if ! $gl_gnulib_enabled_streq; then
gl_gnulib_enabled_streq=true
fi
}
func_gl_gnulib_m4code_strnlen1 ()
{
if ! $gl_gnulib_enabled_strnlen1; then
gl_gnulib_enabled_strnlen1=true
func_gl_gnulib_m4code_memchr
fi
}
func_gl_gnulib_m4code_verify ()
{
if ! $gl_gnulib_enabled_verify; then
gl_gnulib_enabled_verify=true
fi
}
func_gl_gnulib_m4code_wctomb ()
{
if ! $gl_gnulib_enabled_wctomb; then
gl_FUNC_WCTOMB
if test $REPLACE_WCTOMB = 1; then
AC_LIBOBJ([wctomb])
gl_PREREQ_WCTOMB
fi
gl_STDLIB_MODULE_INDICATOR([wctomb])
gl_gnulib_enabled_wctomb=true
func_gl_gnulib_m4code_stdlib
fi
}
func_gl_gnulib_m4code_wmemcpy ()
{
if ! $gl_gnulib_enabled_wmemcpy; then
gl_FUNC_WMEMCPY
if test $HAVE_WMEMCPY = 0; then
AC_LIBOBJ([wmemcpy])
fi
gl_WCHAR_MODULE_INDICATOR([wmemcpy])
gl_gnulib_enabled_wmemcpy=true
fi
}
if test $HAVE_BTOWC = 0 || test $REPLACE_BTOWC = 1; then
func_gl_gnulib_m4code_mbtowc
fi
if test $NEED_LOCALTIME_BUFFER = 1; then
func_gl_gnulib_m4code_2049e887c7e5308faad27b3f894bb8c9
fi
if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
func_gl_gnulib_m4code_30838f5439487421042f2225bed3af76
fi
if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
func_gl_gnulib_m4code_localcharset
fi
if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
func_gl_gnulib_m4code_mbsinit
fi
if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
func_gl_gnulib_m4code_streq
fi
if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
func_gl_gnulib_m4code_verify
fi
if test $HAVE_MBSRTOWCS = 0 || test $REPLACE_MBSRTOWCS = 1; then
func_gl_gnulib_m4code_strnlen1
fi
if test $REPLACE_STRSTR = 1; then
func_gl_gnulib_m4code_37f71b604aa9c54446783d80f42fe547
fi
if test $REPLACE_STRSTR = 1; then
func_gl_gnulib_m4code_memchr
fi
if test $HAVE_WCRTOMB = 0 || test $REPLACE_WCRTOMB = 1; then
func_gl_gnulib_m4code_mbsinit
fi
if test $HAVE_WCSDUP = 0; then
func_gl_gnulib_m4code_wmemcpy
fi
if test $HAVE_WCTOB = 0 || test $REPLACE_WCTOB = 1; then
func_gl_gnulib_m4code_wctomb
fi
m4_pattern_allow([^gl_GNULIB_ENABLED_])
AM_CONDITIONAL([gl_GNULIB_ENABLED_37f71b604aa9c54446783d80f42fe547], [$gl_gnulib_enabled_37f71b604aa9c54446783d80f42fe547])
AM_CONDITIONAL([gl_GNULIB_ENABLED_configmake], [$gl_gnulib_enabled_configmake])
AM_CONDITIONAL([gl_GNULIB_ENABLED_30838f5439487421042f2225bed3af76], [$gl_gnulib_enabled_30838f5439487421042f2225bed3af76])
AM_CONDITIONAL([gl_GNULIB_ENABLED_localcharset], [$gl_gnulib_enabled_localcharset])
AM_CONDITIONAL([gl_GNULIB_ENABLED_2049e887c7e5308faad27b3f894bb8c9], [$gl_gnulib_enabled_2049e887c7e5308faad27b3f894bb8c9])
AM_CONDITIONAL([gl_GNULIB_ENABLED_mbsinit], [$gl_gnulib_enabled_mbsinit])
AM_CONDITIONAL([gl_GNULIB_ENABLED_mbtowc], [$gl_gnulib_enabled_mbtowc])
AM_CONDITIONAL([gl_GNULIB_ENABLED_memchr], [$gl_gnulib_enabled_memchr])
AM_CONDITIONAL([gl_GNULIB_ENABLED_b3ae4a413a1340415f34a52d1dafb147], [$gl_gnulib_enabled_b3ae4a413a1340415f34a52d1dafb147])
AM_CONDITIONAL([gl_GNULIB_ENABLED_stdlib], [$gl_gnulib_enabled_stdlib])
AM_CONDITIONAL([gl_GNULIB_ENABLED_streq], [$gl_gnulib_enabled_streq])
AM_CONDITIONAL([gl_GNULIB_ENABLED_strnlen1], [$gl_gnulib_enabled_strnlen1])
AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
AM_CONDITIONAL([gl_GNULIB_ENABLED_wctomb], [$gl_gnulib_enabled_wctomb])
AM_CONDITIONAL([gl_GNULIB_ENABLED_wmemcpy], [$gl_gnulib_enabled_wmemcpy])
# End of code from modules
m4_ifval(gl_LIBSOURCES_LIST, [
m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
for gl_file in ]gl_LIBSOURCES_LIST[ ; do
if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
exit 1
fi
done])dnl
m4_if(m4_sysval, [0], [],
[AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
])
m4_popdef([gl_LIBSOURCES_DIR])
m4_popdef([gl_LIBSOURCES_LIST])
m4_popdef([AC_LIBSOURCES])
m4_popdef([AC_REPLACE_FUNCS])
m4_popdef([AC_LIBOBJ])
AC_CONFIG_COMMANDS_PRE([
gl_libobjs=
gl_ltlibobjs=
if test -n "$gl_LIBOBJS"; then
# Remove the extension.
sed_drop_objext='s/\.o$//;s/\.obj$//'
for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
gl_libobjs="$gl_libobjs $i.$ac_objext"
gl_ltlibobjs="$gl_ltlibobjs $i.lo"
done
fi
AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
])
gltests_libdeps=
gltests_ltlibdeps=
m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
m4_pushdef([gltests_LIBSOURCES_LIST], [])
m4_pushdef([gltests_LIBSOURCES_DIR], [])
gl_COMMON
gl_source_base='tests'
changequote(,)dnl
gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
changequote([, ])dnl
AC_SUBST([gltests_WITNESS])
gl_module_indicator_condition=$gltests_WITNESS
m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
m4_pattern_allow([^gl_GNULIB_ENABLED_])
m4_popdef([gl_MODULE_INDICATOR_CONDITION])
m4_ifval(gltests_LIBSOURCES_LIST, [
m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
exit 1
fi
done])dnl
m4_if(m4_sysval, [0], [],
[AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
])
m4_popdef([gltests_LIBSOURCES_DIR])
m4_popdef([gltests_LIBSOURCES_LIST])
m4_popdef([AC_LIBSOURCES])
m4_popdef([AC_REPLACE_FUNCS])
m4_popdef([AC_LIBOBJ])
AC_CONFIG_COMMANDS_PRE([
gltests_libobjs=
gltests_ltlibobjs=
if test -n "$gltests_LIBOBJS"; then
# Remove the extension.
sed_drop_objext='s/\.o$//;s/\.obj$//'
for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
gltests_libobjs="$gltests_libobjs $i.$ac_objext"
gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
done
fi
AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
])
LIBGNU_LIBDEPS="$gl_libdeps"
AC_SUBST([LIBGNU_LIBDEPS])
LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
AC_SUBST([LIBGNU_LTLIBDEPS])
])
# Like AC_LIBOBJ, except that the module name goes
# into gl_LIBOBJS instead of into LIBOBJS.
AC_DEFUN([gl_LIBOBJ], [
AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
])
# Like AC_REPLACE_FUNCS, except that the module name goes
# into gl_LIBOBJS instead of into LIBOBJS.
AC_DEFUN([gl_REPLACE_FUNCS], [
m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
])
# Like AC_LIBSOURCES, except the directory where the source file is
# expected is derived from the gnulib-tool parameterization,
# and alloca is special cased (for the alloca-opt module).
# We could also entirely rely on EXTRA_lib..._SOURCES.
AC_DEFUN([gl_LIBSOURCES], [
m4_foreach([_gl_NAME], [$1], [
m4_if(_gl_NAME, [alloca.c], [], [
m4_define([gl_LIBSOURCES_DIR], [lib])
m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
])
])
])
# Like AC_LIBOBJ, except that the module name goes
# into gltests_LIBOBJS instead of into LIBOBJS.
AC_DEFUN([gltests_LIBOBJ], [
AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
])
# Like AC_REPLACE_FUNCS, except that the module name goes
# into gltests_LIBOBJS instead of into LIBOBJS.
AC_DEFUN([gltests_REPLACE_FUNCS], [
m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
])
# Like AC_LIBSOURCES, except the directory where the source file is
# expected is derived from the gnulib-tool parameterization,
# and alloca is special cased (for the alloca-opt module).
# We could also entirely rely on EXTRA_lib..._SOURCES.
AC_DEFUN([gltests_LIBSOURCES], [
m4_foreach([_gl_NAME], [$1], [
m4_if(_gl_NAME, [alloca.c], [], [
m4_define([gltests_LIBSOURCES_DIR], [tests])
m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
])
])
])
# This macro records the list of files which have been installed by
# gnulib-tool and may be removed by future gnulib-tool invocations.
AC_DEFUN([gl_FILE_LIST], [
build-aux/config.rpath
lib/_Noreturn.h
lib/arg-nonnull.h
lib/btowc.c
lib/c++defs.h
lib/c-ctype.c
lib/c-ctype.h
lib/c-strcase.h
lib/c-strcasecmp.c
lib/c-strncasecmp.c
lib/config.charset
lib/crc.c
lib/crc.h
lib/getopt-cdefs.in.h
lib/getopt-core.h
lib/getopt-ext.h
lib/getopt-pfx-core.h
lib/getopt-pfx-ext.h
lib/getopt.c
lib/getopt.in.h
lib/getopt1.c
lib/getopt_int.h
lib/gettext.h
lib/gettimeofday.c
lib/hard-locale.c
lib/hard-locale.h
lib/iconv.c
lib/iconv.in.h
lib/iconv_close.c
lib/iconv_open-aix.gperf
lib/iconv_open-hpux.gperf
lib/iconv_open-irix.gperf
lib/iconv_open-osf.gperf
lib/iconv_open-solaris.gperf
lib/iconv_open.c
lib/limits.in.h
lib/localcharset.c
lib/localcharset.h
lib/locale.in.h
lib/localtime-buffer.c
lib/localtime-buffer.h
lib/mbrtowc.c
lib/mbsinit.c
lib/mbsrtowcs-impl.h
lib/mbsrtowcs-state.c
lib/mbsrtowcs.c
lib/mbtowc-impl.h
lib/mbtowc.c
lib/memchr.c
lib/memchr.valgrind
lib/ref-add.sin
lib/ref-del.sin
lib/stdbool.in.h
lib/stddef.in.h
lib/stdint.in.h
lib/stdio.in.h
lib/stdlib.in.h
lib/str-two-way.h
lib/streq.h
lib/striconv.c
lib/striconv.h
lib/string.in.h
lib/strnlen1.c
lib/strnlen1.h
lib/strstr.c
lib/sys_stat.in.h
lib/sys_time.in.h
lib/sys_types.in.h
lib/time.in.h
lib/unistd.c
lib/unistd.in.h
lib/unistr.in.h
lib/unistr/u8-mbtoucr.c
lib/unistr/u8-uctomb-aux.c
lib/unistr/u8-uctomb.c
lib/unitypes.in.h
lib/unused-parameter.h
lib/verify.h
lib/warn-on-use.h
lib/wchar.in.h
lib/wcrtomb.c
lib/wcsdup-impl.h
lib/wcsdup.c
lib/wctob.c
lib/wctomb-impl.h
lib/wctomb.c
lib/wctype-h.c
lib/wctype.in.h
lib/wmemcpy-impl.h
lib/wmemcpy.c
m4/00gnulib.m4
m4/absolute-header.m4
m4/assert.m4
m4/btowc.m4
m4/builtin-expect.m4
m4/codeset.m4
m4/config-h.m4
m4/configmake.m4
m4/extensions.m4
m4/extern-inline.m4
m4/fcntl-o.m4
m4/getopt.m4
m4/gettimeofday.m4
m4/glibc21.m4
m4/gnulib-common.m4
m4/hard-locale.m4
m4/iconv.m4
m4/iconv_h.m4
m4/iconv_open.m4
m4/include_next.m4
m4/inline.m4
m4/lib-ld.m4
m4/lib-link.m4
m4/lib-prefix.m4
m4/libunistring-base.m4
m4/limits-h.m4
m4/localcharset.m4
m4/locale-fr.m4
m4/locale-ja.m4
m4/locale-zh.m4
m4/locale_h.m4
m4/localtime-buffer.m4
m4/longlong.m4
m4/mbrtowc.m4
m4/mbsinit.m4
m4/mbsrtowcs.m4
m4/mbstate_t.m4
m4/mbtowc.m4
m4/memchr.m4
m4/mmap-anon.m4
m4/multiarch.m4
m4/nocrash.m4
m4/off_t.m4
m4/ssize_t.m4
m4/stdbool.m4
m4/stddef_h.m4
m4/stdint.m4
m4/stdio_h.m4
m4/stdlib_h.m4
m4/string_h.m4
m4/strstr.m4
m4/sys_socket_h.m4
m4/sys_stat_h.m4
m4/sys_time_h.m4
m4/sys_types_h.m4
m4/time_h.m4
m4/unistd_h.m4
m4/warn-on-use.m4
m4/wchar_h.m4
m4/wchar_t.m4
m4/wcrtomb.m4
m4/wcsdup.m4
m4/wctob.m4
m4/wctomb.m4
m4/wctype_h.m4
m4/wint_t.m4
m4/wmemcpy.m4
])